Get one specific token balance of an address

Returns the balance of the user in one specific token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request GET \
     --url 'https://api.0xscope.com/v2/address/tokenBalance?address=0x690b9a9e9aa1c9db991c7721a92d351db4fac990&chain=ethereum&token_address=0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48' \
     --header 'API-KEY: YOUR-API_KEY' \
     --header 'accept: */*'

Sample Response

{
  "code": 0,
  "data": {
    "chain": "ethereum",
    "time_at": 1683860337,
    "token_id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
    "name": "USD Coin",
    "symbol": "USDC",
    "price": 1,
    "amount": 0.02,
    "value": 0.02
  },
  "uuid": 1656856457926541300
}
Query Params
string
required
Defaults to 0x690b9a9e9aa1c9db991c7721a92d351db4fac990
string
required
Defaults to ethereum

specific the network

string
required
Defaults to 0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48

contract address of the token

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*